﻿<h2>Book</h2>

<form id="entityForm">
    @Html.AntiForgeryToken()
    <input type="hidden" id="entidad" value="Book" />
    <div>
        <label for="id" class="fw-bold">ID:</label>
        <span id="id"></span>
    </div>
    <div>
        <label for="title" class="fw-bold">Title:</label>
        <span id="title"></span>
    </div>
    <div>
        <label for="publicationYear" class="fw-bold">Publication Year:</label>
        <span id="publicationYear"></span>
    </div>
    <div>
        <label for="author" class="fw-bold">Author:</label>
        <span id="author"></span>
    </div>
    <div>
        <label for="genre" class="fw-bold">Genre:</label>
        <span id="genre"></span>
    </div>
    <br />
    <div>
        <button type="button" onclick="editar()" class="btn btn-primary">Editar</button>
        <button type="button" onclick="cancelar()" class="btn btn-secondary">Cancelar</button>
    </div>
</form>

<script src="~/js/crud/detail.js"></script>
<script>
    function fillData(data) {
        document.getElementById("id").textContent = data.id;
        document.getElementById("title").textContent = data.title;
        document.getElementById("publicationYear").textContent = data.publicationYear;
        document.getElementById("author").textContent = data.author.fullName;
        document.getElementById("genre").textContent = data.genre.nombre;
    }

    cargarDatos();
</script>